---
updatedAt: 2025-03-27T03:25:49.000Z
agentTools:
  projectIndex: https://partner-docs.gupshup.io/llms.txt
---

# Get MM Lite link on-boarding for live app

Use this API to Get MM Lite Onboarding link.

## Request Parameters

| Key           | Description                      | Value                   | Data Types | Require/Optional | Constraints                                                                                                                              |
| :------------ | :------------------------------- | :---------------------- | :--------- | :--------------- | :--------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization | Access Token for the application | `{{PARTNER_APP_TOKEN}}` | String     | Required         | Should be a valid Partner App Access Token                                                                                               |
| appId         | App ID to fetch the access token | `{{App_ID}}`            | String     | Required         | - The Id should be a valid app Id of Gupshup  - The App must be associated with the account that owns the PARTNER\_APP\_TOKEN being used |
| lang          | language value                   |                         | String     | Optional         | lang=en                                                                                                                                  |

## Sample Request

```curl
curl --location 'https://partner.gupshup.io/partner/app/{{APP_ID}}/mmlite/link?lang=en' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'
```

## Sample Response

```json
{
    "link": "https://gs.tc.im/mvf6",
    "status": "success"
}
```

## Status Codes

| Status Code | Response                                                                                                                                     | Comments        |
| :---------- | :------------------------------------------------------------------------------------------------------------------------------------------- | :-------------- |
| **Success** |                                                                                                                                              |                 |
| 200         | `{       "link": "https://gs.tc.im/mvf6",       "status": "success"   }`                                                                     |                 |
| **Error**   |                                                                                                                                              |                 |
| 400         | `{       "message": "MM lite onboarding is only allowed for live cloud apps",       "status": "error"   }`                                   | App is not live |
| 400         | `{      "status":"error",       "message":"Unauthorised access to the resource. Please review request parameters and headers and retry"   }` |                 |

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "MM Lite send message and get link for onboarding live app",
    "version": "3.0.0-SNAPSHOT"
  },
  "externalDocs": {
    "description": "Gupshup Wiki Documentation",
    "url": "https://www.gupshup.io/partner/docs"
  },
  "servers": [
    {
      "url": "https://partner.gupshup.io"
    }
  ],
  "paths": {
    "/partner/app/{appId}/mmlite/link": {
      "get": {
        "tags": [
          "Partner's Linked Application"
        ],
        "summary": "Get MM Lite link on-boarding for live app",
        "operationId": "getMmliteLink_1",
        "parameters": [
          {
            "name": "token",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Your app token, please refer [**Get access token api**](https://docs.gupshup.io/reference/get_partner-app-appid-token) to get the token from partner documentation.",
            "example": "sk_345095d735c64a8ab2f97a92e953xxxx"
          },
          {
            "name": "appId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "lang",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MmLiteLinkResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden - no permissions to access resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "required": [
          "entity",
          "status"
        ],
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "description": "Status Code",
            "format": "int32"
          },
          "message": {
            "type": "string",
            "description": "Error message describing the reason "
          },
          "details": {
            "type": "string",
            "description": "Developer specific error details "
          },
          "code": {
            "type": "string",
            "description": "Internal Error Code",
            "default": "PP-ERR-XXX"
          },
          "entity": {
            "type": "object",
            "description": "Response Object"
          }
        },
        "description": "Error"
      },
      "MmLiteLinkResponse": {
        "type": "object",
        "properties": {
          "link": {
            "type": "string"
          },
          "status": {
            "type": "string"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```